FORUMS

Analysis & Opinion

Question about ROM base and Radios

25,075 posts
Thanks Meter: 11,091
 
By the_scotsman, Assistant Forum Admin / Moderator Committee / Haggis Muncher on 23rd March 2010, 09:51 AM
Post Reply Subscribe to Thread Email Thread
I've decided to switch my ROMs back to 1.72 from 2.10 as I'm fed up with terrible phone call quality.

Ive swapped over from 1.72 to my 2.10 kitchen OEMDrivers, OEMDriversHigh and OEMMisc folders in OEM and carried over rgu entries from OEM Drivers. Also OEMXIPKernel has been copied from 1.72 to my 2.10 base.

This wors great but when I use 2.09.51 radio it works ok on first boot. But if I soft reset the phone hangs on the HTC boot screen and I need to hard reset.

Does anyone know what is stopping the 2.09 radio from working on soft reboot?
 
 
23rd March 2010, 12:07 PM |#2  
bobsbbq's Avatar
Senior Member
Flag Covington, LA
Thanks Meter: 356
 
Donate to Me
More
Quote:
Originally Posted by the_scotsman

I've decided to switch my ROMs back to 1.72 from 2.10 as I'm fed up with terrible phone call quality.

Ive swapped over from 1.72 to my 2.10 kitchen OEMDrivers, OEMDriversHigh and OEMMisc folders in OEM and carried over rgu entries from OEM Drivers. Also OEMXIPKernel has been copied from 1.72 to my 2.10 base.

This wors great but when I use 2.09.51 radio it works ok on first boot. But if I soft reset the phone hangs on the HTC boot screen and I need to hard reset.

Does anyone know what is stopping the 2.09 radio from working on soft reboot?

When I change a core base I always copy the os.nb.payload, romhdr.bin, xip.bin as well as the OEMXIPKerenl from the base I want to use. When copying the OEM folders copy the entire folders QEMDrivers, OEMDriversJigh, OEMMisc.

This has always worked for me. It may not all be necessary but it works.
23rd March 2010, 12:10 PM |#3  
Senior Member
Thanks Meter: 2
 
More
I thing that if you use ROM OS 2.07... you must use Radio 2.07 0r 2.08 that avoid conflict between Radio&OS.
23rd March 2010, 12:12 PM |#4  
bobsbbq's Avatar
Senior Member
Flag Covington, LA
Thanks Meter: 356
 
Donate to Me
More
Quote:
Originally Posted by longnguyen30

I thing that if you use ROM OS 2.07... you must use Radio 2.07 0r 2.08 that avoid conflict between Radio&OS.

Yes but he says he is using 1.72 which is not a TMOUS so any Radio with a 2.xx.51.xx.xx should work.
23rd March 2010, 12:15 PM |#5  
Mikenif's Avatar
Retired Recognized Developer
Flag Hoofddorp
Thanks Meter: 541
 
Donate to Me
More
Maybe im stating the obvious, but did you try including the 2.09 rilphone.dll?
23rd March 2010, 12:17 PM |#6  
the_scotsman's Avatar
OP Assistant Forum Admin / Moderator Committee / Haggis Muncher
Flag NSW, Australia
Thanks Meter: 11,091
 
10
Donate to Me
More
Quote:
Originally Posted by bobsbbq

When I change a core base I always copy the os.nb.payload, romhdr.bin, xip.bin as well as the OEMXIPKerenl from the base I want to use. When copying the OEM folders copy the entire folders QEMDrivers, OEMDriversJigh, OEMMisc.

This has always worked for me. It may not all be necessary but it works.

Hmmm...thanks for the reply. I never thought about those other 3 files in the XIP...I'll try copying them over too.

Thanks again, I'll post back with results.


Quote:
Originally Posted by Mikenif

Maybe im stating the obvious, but did you try including the 2.09 rilphone.dll?

I didn't think this would be necessary for the 2.09 radio to work.
23rd March 2010, 12:33 PM |#7  
the_scotsman's Avatar
OP Assistant Forum Admin / Moderator Committee / Haggis Muncher
Flag NSW, Australia
Thanks Meter: 11,091
 
10
Donate to Me
More
Well that worked...must have been those other 3 XIP files I didn't copy over.

Thanks bob!
Post Reply Subscribe to Thread
Previous Thread Next Thread
Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes